Bug 257859 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.14.4
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.14.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nuno Teixeira
URL: https://github.com/openxpki/openxpki/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-15 13:16 UTC by Sergei Vyshenski
Modified: 2021-08-27 17:47 UTC (History)
2 users (show)

See Also:


Attachments
"git diff" to update two ports (2.13 KB, patch)
2021-08-15 13:16 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to update two ports (6.75 KB, patch)
2021-08-18 10:28 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to update two ports (6.75 KB, patch)
2021-08-19 10:19 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to update two ports (6.75 KB, patch)
2021-08-27 13:37 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-08-15 13:16:01 UTC
Created attachment 227215 [details]
"git diff" to update two ports

- Update two ports sharing the same distribution:
	3.14.0 -> 3.14.1 (stable bugfix release)
Changes: https://github.com/openxpki/openxpki/compare/v3.14.0...v3.14.1

- "portlint -AC" says Looks fine.
- "portclippy Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
13.0-RELEASE-p3
pkg 1.17.1
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1k
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 1 Sergei Vyshenski 2021-08-18 10:28:56 UTC
Created attachment 227306 [details]
"git diff" to update two ports

- Switch from PORTVERSION to DISTVERSION
- "portfmt -D Makefile" is happy.
Comment 2 Sergei Vyshenski 2021-08-19 10:19:44 UTC
Created attachment 227319 [details]
"git diff" to update two ports

- Update two ports sharing the same distribution:
	3.14.0 -> 3.14.2 (stable bugfix release)
Changes: https://github.com/openxpki/openxpki/compare/v3.14.0...v3.14.2

- "portlint -AC" says: Looks fine.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
13.0-RELEASE-p3
pkg 1.17.1
poudriere 3.3.6
perl 5.32.1_1
openssl 1.1.1k
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 3 Sergei Vyshenski 2021-08-27 13:37:55 UTC
Created attachment 227475 [details]
"git diff" to update two ports

- Update two ports sharing the same distribution:
	3.14.0 -> 3.14.4 (stable bugfix release)
Changes: https://github.com/openxpki/openxpki/compare/v3.14.0...v3.14.4

- "portlint -AC" says: Looks fine.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
13.0-RELEASE-p4
pkg 1.17.1
poudriere 3.3.7
perl 5.32.1_1
openssl 1.1.1k
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 4 Nuno Teixeira freebsd_committer 2021-08-27 16:38:36 UTC
Giving PR to pool:

I'm having some problems commiting this update because of commit log says that I need to use "category/portname: ..."

"security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.14.4" is not accepted. Need to learn how to do this to avoid two separated commits.
Comment 5 Nuno Teixeira freebsd_committer 2021-08-27 16:54:18 UTC
(In reply to Nuno Teixeira from comment #4)
Solved :)
Comment 6 commit-hook freebsd_committer 2021-08-27 16:54:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=230cf05d3d0c9e5d86319a1dc77386db1b625aa0

commit 230cf05d3d0c9e5d86319a1dc77386db1b625aa0
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-08-27 16:51:46 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-08-27 16:51:46 +0000

    security/p5-openxpki*: Update to 3.14.4

    ChangeLog: https://github.com/openxpki/openxpki/compare/v3.14.0...v3.14.2

    PR:             257859

 security/p5-openxpki-i18n/Makefile |  5 +++--
 security/p5-openxpki-i18n/distinfo |  6 +++---
 security/p5-openxpki/Makefile      | 40 +++++++++++++++++++-------------------
 security/p5-openxpki/distinfo      |  6 +++---
 4 files changed, 29 insertions(+), 28 deletions(-)
Comment 7 Nuno Teixeira freebsd_committer 2021-08-27 17:47:42 UTC
Committed thanks!